%global pkgname aiosmtpd
%global summary Asyncio-based SMTP server
%global _description \
This is a server for SMTP and related protocols, similar in utility \
to the standard library’s smtpd.py module, but rewritten to be based \
on asyncio for Python 3.
%global srcname %{pkgname}
%global with_docs 0


Name:           python-%{pkgname}
Version:        1.0
Release:        0.1.a4%{?dist}
Summary:        %{summary}

License:        ASL 2.0
URL:            https://github.com/aio-libs/aiosmtpd
Source0:        https://pypi.org/packages/source/a/%{srcname}/%{srcname}-%{version}a4.tar.gz
BuildArch:      noarch

BuildRequires:  python3-pkgversion-macros
BuildRequires:  python%{python3_pkgversion}-devel >= 3.4
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-atpublic
BuildRequires:  python%{python3_pkgversion}-nose2
%if 0%{?with_docs}
BuildRequires:  python%{python3_pkgversion}-sphinx
%endif
%if 0%{?with_python3_other}
BuildRequires:  python%{python3_other_pkgversion}-devel >= 3.4
BuildRequires:  python%{python3_other_pkgversion}-setuptools
BuildRequires:  python%{python3_other_pkgversion}-atpublic
BuildRequires:  python%{python3_other_pkgversion}-nose2
%endif

%description %{_description}


%package -n python%{python3_pkgversion}-%{pkgname}
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-atpublic
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pkgname}}

%description -n python%{python3_pkgversion}-%{pkgname} %{_description}


%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{pkgname}
Summary:        %{summary}
Requires:       python%{python3_other_pkgversion}-atpublic
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{pkgname}}

%description -n python%{python3_other_pkgversion}-%{pkgname} %{_description}
%endif


%prep
%autosetup -n %{srcname}-%{version}a4


%build
%py3_build
%if 0%{?with_python3_other}
%py3_other_build
%endif
%if 0%{?with_docs}
%{__python3} setup.py build_sphinx
%endif


%install
%py3_install
# Avoid name clash
mv %{buildroot}%{_bindir}/{,aio}smtpd
# Clean up documentation
rm -rf %{buildroot}%{python3_sitelib}/examples

%if 0%{?with_python3_other}
%py3_other_install
# Avoid name clash
mv %{buildroot}%{_bindir}/smtpd \
   %{buildroot}%{_bindir}/aiosmtpd-%{python3_other_version}
# Clean up documentation
rm -rf %{buildroot}%{python3_other_sitelib}/examples
%endif


%check
%{__python3} -m nose2 -v
%if 0%{?with_python3_other}
%{__python3_other} -m nose2 -v
%endif


%files -n python%{python3_pkgversion}-%{pkgname}
%doc README.rst examples
%if 0%{?with_docs}
%doc build/sphinx/html
%endif
%{_bindir}/aiosmtpd
%{python3_sitelib}/aiosmtpd/
%{python3_sitelib}/%{srcname}-%{version}*-py%{python3_version}.egg-info/

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{pkgname}
%doc README.rst examples build/sphinx/html
%{_bindir}/aiosmtpd-%{python3_other_version}
%{python3_other_sitelib}/aiosmtpd/
%{python3_other_sitelib}/%{srcname}-%{version}*-py%{python3_other_version}.egg-info/
%endif


%changelog
* Wed Dec 14 2016 Aurelien Bompard <abompard@fedoraproject.org> - 1.0-0.1.a4
- Initial package.
